// Configuration.cpp
// Defines global settings
//
// The MIT License (MIT)
//
// Copyright (c) 2014 de.uni-hamburg.informatik.wr.papo
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

#include "Configuration.h"

const Configuration configuration = {
    {
        {
            1.5f,   // boid.weight.separation
            1.0f,   // boid.weight.alignment
            1.0f    // boid.weight.cohesion
        },
        {
            2.0f,   // boid.limit.speed
            0.5f    // boid.limit.force
        },
        {
            25.0f,  // boid.range.separation
            50.0f,  // boid.range.alignment
            50.0f   // boid.range.cohesion
        }
    },
    {
        {
            1.5f,   // predator.weight.separation
            1.0f,   // predator.weight.alignment
            1.0f    // predator.weight.cohesion
        },
        {
            2.0f,  // predator.limit.speed
            0.5f    // predator.limit.force
        },
        {
            50.0f,   // predator.range.separation
            0.0f,   // predator.range.alignment
            100.0f  // predator.range.cohesion
        }
    },
    {
        800.0f,     // world.x
        800.0f,     // world.y
        800.0f      // world.z
    },
};
